/**
 * TideSDK Desktop application Js
 *
 *
 */

//create and set menu
var app = Ti.API.application,
    menu = Ti.UI.createMenu(),
    fileItem = Ti.UI.createMenuItem('File'),
    aboutItem = Ti.UI.createMenuItem('About'),

    exitItem = fileItem.addItem('Exit', function () {
        if (confirm('Are you really want to exit ?')) {
            Ti.App.exit();
        }
    }),

    infoItem = aboutItem.addItem('Info', function () {
        alert(app.getName() + " v" + app.getVersion());
    });

menu.appendItem(fileItem);
menu.appendItem(aboutItem);

Ti.UI.setMenu(menu);

// tray menu
var trayMenu = Ti.UI.createMenu(),
    aboutTrayMenu = trayMenu.addItem('About', function () {
        alert(app.getName() + " v" + app.getVersion());
    }),
    exitTrayMenu = trayMenu.addItem('Exit', function () {
        Ti.App.exit();
    });

// tray icon
var tray_icon = Ti.UI.addTray('tide-tray-icon.png');
tray_icon.setHint(app.getName() + " v" + app.getVersion());
tray_icon.setMenu(trayMenu);